##
## Licensed to the Apache Software Foundation (ASF) under one
## or more contributor license agreements.  See the NOTICE file
## distributed with this work for additional information
## regarding copyright ownership.  The ASF licenses this file
## to you under the Apache License, Version 2.0 (the
## "License"); you may not use this file except in compliance
## with the License.  You may obtain a copy of the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing,
## software distributed under the License is distributed on an
## "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
## KIND, either express or implied.  See the License for the
## specific language governing permissions and limitations
## under the License
##

# See the qdrouterd.conf (5) manual page for information about this
# file's format and options.

router {
    id: pipe-katello-server-nightly-centos7.tanso.example.com
    mode: interior
    worker-threads: 2
}

ssl-profile {
    name: client
    ca-cert-file: /etc/pki/katello/certs/katello-default-ca.crt
    cert-file: /etc/pki/katello/qpid_router_client.crt
    private-key-file: /etc/pki/katello/qpid_router_client.key
}

ssl-profile {
    name: server
    ca-cert-file: /etc/pki/katello/certs/katello-default-ca.crt
    cert-file: /etc/pki/katello/qpid_router_server.crt
    private-key-file: /etc/pki/katello/qpid_router_server.key
    ciphers: ALL:!aNULL:+HIGH:-SSLv3:!IDEA-CBC-SHA
}

connector {
    name: broker
    host: localhost
    port: 5671
    sasl-mechanisms: EXTERNAL
    role: route-container
    ssl-profile: client
    idle-timeout-seconds: 0
}

linkRoute {
    prefix: katello.agent
    direction: in
    connection: broker
}
linkRoute {
    prefix: pulp.
    direction: out
    connection: broker
}
linkRoute {
    prefix: pulp.task
    direction: in
    connection: broker
}
linkRoute {
    prefix: qmf.
    direction: in
    connection: broker
}
linkRoute {
    prefix: qmf.
    direction: out
    connection: broker
}
listener {
    port: 5647
    sasl-mechanisms: ANONYMOUS
    ssl-profile: server
}

listener {
    port: 5646
    sasl-mechanisms: ANONYMOUS
    role: inter-router
    ssl-profile: server
}

log {
    module: DEFAULT
    enable: info+
    include-timestamp: true
    output-file: syslog
}
address {
    prefix: closest
    distribution: closest
}

address {
    prefix: multicast
    distribution: multicast
}

address {
    prefix: unicast
    distribution: closest
}

address {
    prefix: exclusive
    distribution: closest
}

address {
    prefix: broadcast
    distribution: multicast
}
